Bug 234842 - kernel BUG at fs/lockd/host.c:288!
kernel BUG at fs/lockd/host.c:288!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-02 11:17 EDT by Pawel Salek
Modified: 2008-02-07 23:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
more complete log file (39.71 KB, text/plain)
2007-04-02 11:49 EDT, Pawel Salek
no flags Details

  None (edit)
Description Pawel Salek 2007-04-02 11:17:40 EDT
Description of problem:
The NFS3 server first stopped responding to fcntl lock requests and later
panicked when executing "service nfs restart" with a message:
Message from syslogd@elf at Mon Apr  2 17:02:20 2007 ...

elf kernel: kernel BUG at fs/lockd/host.c:288!
elf kernel: invalid opcode: 0000 [#1]
elf kernel: SMP
elf kernel: CPU:    0
elf kernel: EIP:    0060:[<f0b10557>]    Not tainted VLI
elf kernel: EFLAGS: 00010292   (2.6.19-1.2911.6.5.fc6 #1)
elf kernel: EIP is at nlm_release_host+0x45/0xda [lockd]
elf kernel: eax: 00000030   ebx: f0bb2720   ecx: 00000001   edx: 00000046
elf kernel: esi: 0000000a   edi: ffffffdb   ebp: d9b2bc00   esp: ebdf7f4c
elf kernel: ds: 007b   es: 007b   ss: 0068
elf kernel: Process lockd (pid: 2373, ti=ebdf7000 task=efd9cc70 task.ti=ebdf7000)
elf kernel: Stack: f0b15ce3 f0b15cc3 d9b2bc00 f0b0f8d7 0000000a ffffffdb
00000000 f0b0f97e
elf kernel:        eb126d00 c0625a87 d9b2bcc4 ebdf7f94 ebdf7f94 d9b2bc00
ebdf7fa4 da27ed80
elf kernel:        f0b0f9f4 f0b1580c 00000000 d9b2bc08 d9b2bd48 00000000
d9b2bc2c e74e4e40
elf kernel: Call Trace:
elf kernel:  [<f0b0f8d7>] nlm_release_call+0xe/0x3d [lockd]
elf kernel:  [<f0b0f97e>] __nlm_async_call+0x78/0x82 [lockd]
elf kernel:  [<f0b0f9f4>] nlm_async_call+0x36/0x3d [lockd]
elf kernel:  [<f0b118d8>] nlmsvc_retry_blocked+0x139/0x168 [lockd]
elf kernel:  [<f0b1143e>] lockd+0x107/0x245 [lockd]
elf kernel:  [<c0404c03>] kernel_thread_helper+0x7/0x10
elf kernel:  =======================
elf kernel: Code: c7 04 24 ab 5c b1 f0 89 44 24 04 e8 e9 75 91 cf 8b 43 68 85 c0
79 1c c7 44 24 04 c3 5c b1 f0 c7 04 24 e3 5c b1 f0 e8 ce 75 91 cf <0f> 0b 20 01
f4 5c b1 f0 f0 ff 4b 68 0f 94 c0 84 c0 74 7e 8d 83

elf kernel: EIP: [<f0b10557>] nlm_release_host+0x45/0xda [lockd] SS:ESP
0068:ebdf7f4c
elf kernel: Oops: 0000 [#2]
elf kernel: SMP
elf kernel: CPU:    1
elf kernel: EIP:    0060:[<f0bf6a62>]    Not tainted VLI
elf kernel: EFLAGS: 00010206   (2.6.19-1.2911.6.5.fc6 #1)
elf kernel: EIP is at nfsd_vfs_read+0xf6/0x2d8 [nfsd]
elf kernel: eax: 01900052   ebx: f0c22b00   ecx: 00000000   edx: eb3b5040
elf kernel: esi: 1e020000   edi: 00000000   ebp: f0c22b04   esp: d2a78ec0
elf kernel: ds: 007b   es: 007b   ss: 0068
elf kernel: Process nfsd (pid: 3694, ti=d2a78000 task=ebad76b0 task.ti=d2a78000)
elf kernel: Stack: 00000000 f0bf6db6 d879b440 e15b6000 0fd00001 00000001
01900052 00000000
elf kernel:        ec457004 e15b6000 ec4570ec f0bf70e7 00000000 00000000
e15b64a8 00000020
elf kernel:        ec4570ec d879b440 ec457004 0000001c eaa3a800 00020000
f0bfd860 00000000
elf kernel: Call Trace:
elf kernel:  [<f0bf70e7>] nfsd_read+0xbc/0xd1 [nfsd]
elf kernel:  [<f0bfd860>] nfsd3_proc_read+0xf8/0x14c [nfsd]
elf kernel:  [<f0bf3200>] nfsd_dispatch+0xc5/0x180 [nfsd]
elf kernel:  [<f0b96654>] svc_process+0x365/0x5f1 [sunrpc]
elf kernel:  [<f0bf3740>] nfsd+0x178/0x284 [nfsd]
elf kernel:  [<c0404c03>] kernel_thread_helper+0x7/0x10
elf kernel:  =======================
elf kernel: Code: df 83 e7 0f 89 f8 c1 e0 07 8d 98 00 2b c2 f0 8d 6b 04 89 e8 e8
aa ef a2 cf 89 da 31 c9 c7 44 24 14 00 00 00 00 eb 1f 8b 44 24 18 <39> 46 08 75
09 8b 44 24 10 39 46 0c 74 53 83 7e 04 00 0f 44 ca
elf kernel: EIP: [<f0bf6a62>] nfsd_vfs_read+0xf6/0x2d8 [nfsd] SS:ESP 0068:d2a78ec0


Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2911.6.5.fc6

How reproducible:
I do not think it is easily reproducible because we have been running this
kernel several days and then suddenly it panicked twice within few hours.

Additional info:
I have switched to kernel-2.6.20-1.2933.fc6 to see whether the bug can be
triggered with this one as well.
Comment 1 Pawel Salek 2007-04-02 11:35:51 EDT
Just another piece of information: I have just been informed that a security
scan with nessus had been performed at the time the server crashed. I could be
that the scan confused the server.
Comment 2 Pawel Salek 2007-04-02 11:49:58 EDT
Created attachment 151438 [details]
more complete log file

a log server reported more complete information. There was an assertion
triggered followed by an OOPS few seconds later.
Comment 3 Pawel Salek 2007-08-16 05:57:24 EDT
FWIW, I haven't seen that one recently with 2.6.20-1.2962.fc6
Comment 4 Jon Stanley 2008-01-07 20:51:16 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:24:05 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.